Bug 215181 - Audacious locks up
Audacious locks up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 19:51 EST by Stewart Hardie
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-18 12:17:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Hardie 2006-11-11 19:51:43 EST
Description of problem:
Audacious 1.1.2 (FC6-extra) runs for a few minutes and then locks up. It will
continue to play till finish the track currently playing, but will not play the
next track, nor are any of the gui controls responsive. CPU for audacious runs
to 100% when lockup occurs. A variety of mp3 tracks have been tried with the
same results. When launched from a terminal, the following error message appears
repeatedly at high speed until CTRL-C is pressed.

(audacious:8287): Gdk-CRITICAL **: gdk_image_get_pixel: assertion `GDK_IS_IMAGE
(image)' failed

The only way out is to kill the audacious process.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start audacious and play some mp3 tracks.
2. Wait a few minutes.
3. CPU to 100% and audacious locks up.
  
Actual results:
Audacious locks up and CPU is 100%.

Expected results:
Audacious continues using about 1% CPU, gui controls remain responsive, and
tracks continue to play.

Additional info:
Cannot access the audacious bug site for some reason, but a note from a google
cache page showed the following... (does an update to latest version of
audacious fix this?)

08-26-06 
0000556: audacious leaks memory when changing the background
Description 	Every time the background changes, audacious eats more memory.
When no more memory is available, it quits with the following message (repeated
52312 times!):
(audacious:19406): Gdk-CRITICAL **: gdk_image_get_pixel: assertion `GDK_IS_IMAGE
(image)' failed
And then:
GLib-ERROR **: gmem.c:154: failed to allocate 2060 bytes
aborting...
Comment 1 Ralf Ertzinger 2006-11-12 09:05:46 EST
Hmm. I can not reproduce this. My audacious happily plays mp3 for hours on end.
Do you actually run out of memory when the hangs happen?
Do you use a custom skin?
Can you append your config (obtainable by running "gconftool-2 -R
/apps/audacious" on the command line)?
Comment 2 Stewart Hardie 2006-11-12 17:22:23 EST
Memory usage stays steady while audacious locks up.

The audacious bug website is still down, but from google cache pages (searching
for...  bugs audacious GDK_IS_IMAGE  ...).

http://72.14.253.104/search?q=cache:O4JChtFoS9kJ:bugs.nenolod.net/bug_view_advanced_page.php%3Fbug_id%3D556+bugs+audacious+GDK_IS_IMAGE&hl=en&ct=clnk&cd=1
Someone else reporting the same symptoms on 08-26-06.

http://72.14.253.104/search?q=cache:gmz2gIgArXUJ:bugs.nenolod.net/view.php%3Fid%3D563%26nbn%3D4+bugs+audacious+GDK_IS_IMAGE&hl=en&ct=clnk&cd=4
Someone else reporting same problem and reporting that it appears to be fixed in
audacious-1.2.0-0.rc1.1mdv2007.1 on 10-12-06.

I also get the same problem (100% CPU, lockup, same error message) when trying
to 'enable playlist transparency' in the preferences. Another report on this
effect is:
http://72.14.253.104/search?q=cache:YIeMeBu60SQJ:bugs.nenolod.net/view.php%3Fid%3D560+bugs+audacious+GDK_IS_IMAGE&hl=en&ct=clnk&cd=6
Apparently fixed in audacious r2159 on 09-04-06.

I would suggest from the above bug reports that fedora-extras-fc6 upgrading
audacious to the latest stable 1.2.1 (or later) would fix the problem. The
current extras version is 1.1.2. Is this upgrade of audacious possible for
extras-fc6?

Below is output from "gconftool-2 -R /apps/audacious".

 equalizer_autoload = true
 close_dialog_open = true
 use_backslash_as_dir_delimiter = false
 stop_after_current_song = false
 resume_playback_on_startup_time = -1
 player_shaded = false
 repeat = false
 use_fontsets = false
 mouse_wheel_change = 8
 eqpreset_extension = preset
 close_dialog_add = true
 timer_mode = 0
 vis_type = 2
 analyzer_falloff = 3
 playlist_width = 600
 equalizer_preamp = 0
 always_show_cb = false
 show_wm_decorations = false
 generic_title_format = %{p:%p - %}%{a:%a - %}%t
 show_numbers_in_pl = true
 use_eplugins = false
 player_visible = true
 disabled_iplugins = 
 playlist_visible = true
 snap_distance = 10
 pause_between_songs = false
 custom_cursors = true
 show_filepopup_for_tuple = true
 playlist_height = 464
 equalizer_band0 = 0
 convert_underscore = true
 snap_windows = true
 playlist_font = Sans Bold 8
 equalizer_band1 = 0
 convert_twenty = true
 sort_jump_to_file = true
 random_skin_on_play = false
 playlist_x = 1682
 equalizer_band2 = 0
 dim_titlebar = true
 playlist_y = 423
 eqpreset_default_file = dir_default.preset
 equalizer_band3 = 0
 equalizer_band4 = 0
 playlist_shaded = false
 analyzer_peaks = false
 equalizer_band5 = 0
 show_separator_in_pl = true
 vis_refresh_rate = 0
 pause_between_songs_time = 2
 equalizer_band6 = 0
 equalizer_visible = true
 analyzer_type = 1
 equalizer_band7 = 0
 output_plugin = /usr/lib/audacious/Output/libOSS.so
 warn_about_unplayables = true
 get_info_on_demand = false
 scope_mode = 0
 cover_name_exclude = back
 equalizer_band8 = 0
 allow_multiple_instances = false
 equalizer_band9 = 0
 shuffle = false
 analyzer_mode = 0
 equalizer_active = false
 equalizer_shaded = false
 playlist_detect = false
 use_pl_metadata = true
 skin = /usr/share/xmms/Skins/Bluecurve-xmms.zip
 get_info_on_load = true
 playlist_position = 0
 output_buffer_size = 3000
 mainwin_use_xfont = false
 no_playlist_advance = false
 sticky = false
 peaks_falloff = 1
 url_history_length = 0
 save_window_positions = true
 use_realtime = false
 refresh_file_list = false
 mainwin_font = Sans Bold 9
 playlist_transparent = false
 equalizer_x = 1407
 autoscroll_songname = true
 vu_mode = 1
 equalizer_y = 542
 titlestring_preset = 2
 always_on_top = false
 resume_playback_on_startup = false
 player_x = 1407
 cover_name_include = 
 player_y = 426
 scroll_pl_by = 3
 eq_extra_filtering = true
 /apps/audacious/AudioCompress:
  gainmax = 0
  target = 0
  buckets = 0
  gainsmooth = 0
  anticlip = false
 /apps/audacious/AdPlug:
  Stereo = false
  16bit = true
  Frequency = 44100
  Endless = false
  Exclude = 



Comment 3 Stewart Hardie 2006-11-12 17:24:49 EST
By the way, I am not using a custom skin, just the default one that audacious
started up with.
Comment 4 Ralf Ertzinger 2006-11-13 03:53:49 EST
Audacious 1.2.x is on it's way, but this may take some days still to arrive in FC6.
Comment 5 Ralf Ertzinger 2006-12-04 06:13:25 EST
1.2.x has been released for FC-6. Does the problem persist?
Comment 6 Stewart Hardie 2006-12-04 21:50:38 EST
I have upgraded to 1.2.2 and run audacious for several hours now without this
problem (which I couldn't do before), so the bug appears to be fixed. 'Enable
playlist transparency' in audacious preferences also works as expected, whereas
before it caused the same lock-up problem.

I will post additional comments here if any of the original problems occur in
the coming days/weeks.

Note You need to log in before you can comment on or make changes to this bug.